Bug 813261 - [abrt] aspell-0.60.6-15.fc16: __GI_raise: Process /usr/bin/aspell was killed by signal 6 (SIGABRT)
[abrt] aspell-0.60.6-15.fc16: __GI_raise: Process /usr/bin/aspell was killed ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
abrt_hash:d9e8573687cc4c19aa08231dbfa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 06:55 EDT by Stefan Friesel
Modified: 2012-07-30 18:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 18:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: coredump (640.00 KB, text/plain)
2012-04-17 06:56 EDT, Stefan Friesel
no flags Details
File: maps (4.05 KB, text/plain)
2012-04-17 06:56 EDT, Stefan Friesel
no flags Details
File: backtrace (5.61 KB, text/plain)
2012-04-17 06:56 EDT, Stefan Friesel
no flags Details

  None (edit)
Description Stefan Friesel 2012-04-17 06:55:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        aspell dump personal
comment:        tried to dump nonexisting personal dict
crash_function: __GI_raise
executable:     /usr/bin/aspell
kernel:         3.3.1-3.fc16.x86_64
pwd:            /usr/lib64/aspell-0.60
reason:         Process /usr/bin/aspell was killed by signal 6 (SIGABRT)
time:           Di 17 Apr 2012 11:40:21 CEST
uid:            1000

backtrace:      Text file, 5749 bytes
maps:           Text file, 4143 bytes

build_ids:
:74badb53eb8d30df7e4e5b20ddea756db1a44350
:638db099ff5fb986d1a092629d1bb1dca5be4904
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:ca67540caa8e73e3597e279d61b832ff86fc990b
:a1f4d8b492ed6e048ab0d761ae0f32f541f82a89
:75eaece6e0d1e075520cdfad5c398fdab4370846
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:3ba5302e34546a45e9a85ac3429e7bc6ed624011

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330295158
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330295158
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libaspell.so.15.1.4 aspell-12:0.60.6-15.fc16.x86_64 (Fedora Project) 1334655183
:/usr/bin/aspell aspell-12:0.60.6-15.fc16.x86_64 (Fedora Project) 1334655183
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330295158
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.x86_64 (Fedora Project) 1333409605
:/lib64/libncursesw.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1320287304
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1333409601
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330295158

environ:
:XDG_VTNR=3
:XDG_SESSION_ID=7
:HOSTNAME=edge
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-xxCNUb/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c2a030263c298bbdca02298b00000010-1334652631.83030-1594038108
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=31457285
:GNOME_KEYRING_CONTROL=/tmp/keyring-xxCNUb
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:LC_ALL=C
:IMSETTINGS_MODULE=none
:USER=sfriesel
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
:SSH_AUTH_SOCK=/tmp/keyring-xxCNUb/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2688,unix/unix:/tmp/.ICE-unix/2688
:USERNAME=sfriesel
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sfriesel/.local/bin:/home/sfriesel/bin
:MAIL=/var/spool/mail/sfriesel
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/usr/lib64/aspell-0.60
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=2680
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups:ignorespace
:XDG_SEAT=seat0
:HOME=/home/sfriesel
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=sfriesel
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-l9mni5IAKP,guid=ed04ec2ae0da56588e924d3d00000adb
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=3
:XDG_RUNTIME_DIR=/run/user/sfriesel
:DISPLAY=:1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-sfriesel-N4mLPo/database
:_=/usr/bin/aspell
:OLDPWD=/home/sfriesel

var_log_messages:
:Apr 17 11:33:05 edge yum[3759]: Installed: 12:aspell-0.60.6-15.fc16.x86_64
:Apr 17 11:33:06 edge yum[3759]: Installed: 50:aspell-de-20030222-7.fc15.x86_64
:Apr 17 11:33:07 edge yum[3759]: Installed: 50:aspell-en-7.1-2.fc15.x86_64
:Apr 17 11:40:21 edge abrt[4664]: Saved core dump of pid 4663 (/usr/bin/aspell) to /var/spool/abrt/ccpp-2012-04-17-11:40:21-4663 (655360 bytes)
Comment 1 Stefan Friesel 2012-04-17 06:56:02 EDT
Created attachment 577993 [details]
File: coredump
Comment 2 Stefan Friesel 2012-04-17 06:56:04 EDT
Created attachment 577994 [details]
File: maps
Comment 3 Stefan Friesel 2012-04-17 06:56:06 EDT
Created attachment 577995 [details]
File: backtrace
Comment 4 Peter Schiffer 2012-07-20 06:32:07 EDT
Hi Stefan,

thank you for you report. I've fixed this crash, however dumping of personal dictionary still doesn't work - it's broken in aspell-0.60 branch (wrong file name is not the only problem).
This issue is fixed in the current development version of aspell (future aspell-0.61) and I tried to back-port it, but the final patch was too complicated, so I've decided to drop it..


rawhide build:
aspell-0.60.6.1-4.fc18
http://koji.fedoraproject.org/koji/buildinfo?buildID=333589


peter
Comment 5 Fedora Update System 2012-07-20 07:46:10 EDT
aspell-0.60.6.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/aspell-0.60.6.1-3.fc17
Comment 6 Fedora Update System 2012-07-20 07:47:12 EDT
aspell-0.60.6-16.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/aspell-0.60.6-16.fc16
Comment 7 Fedora Update System 2012-07-20 22:55:10 EDT
Package aspell-0.60.6-16.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aspell-0.60.6-16.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10935/aspell-0.60.6-16.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-07-30 18:22:34 EDT
aspell-0.60.6.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-07-30 18:25:08 EDT
aspell-0.60.6-16.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.